| iomodule Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XIOModule_Config Struct Reference
Overview

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Unique identifier. More...
UINTPTR | IoBaseAddress
| IO Bus Base Address. More...
u32 | FastIntr
| Fast Interrupt enabled. More...
UINTPTR | BaseVector
| Relocatable base vector. More...
u8 | VectorAddrWidth
| Width of vector address. More...
u32 | AckBeforeService
| Ack location per interrupt. More...
u32 | Options
| Device options. More...
u32 | InputClockHz
| Input clock frequency (Hz) More...
u32 | BaudRate
| Current baud rate. More...
u8 | PitUsed [XTC_DEVICE_TIMER_COUNT]
| PIT is used. More...
u8 | PitSize [XTC_DEVICE_TIMER_COUNT]
| PIT timer counter size. More...
u32 | PitMask [XTC_DEVICE_TIMER_COUNT]
| PIT timer counter size. More...
u8 | PitPrescaler [XTC_DEVICE_TIMER_COUNT]
| PIT prescaler. More...
u8 | PitReadable [XTC_DEVICE_TIMER_COUNT]
| PIT readable. More...
u32 | GpoInit [XGPO_DEVICE_COUNT]
| GPO initial value. More...
XIOModule_VectorTableEntry | HandlerTable [XPAR_IOMODULE_INTC_MAX_INTR_SIZE]
| Static vector table of interrupt handlers. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

u32 XIOModule_Config::AckBeforeService

Ack location per interrupt.

UINTPTR XIOModule_Config::BaseAddress

Unique identifier.

Referenced by XIOModule_Initialize(), XIOModule_InterruptHandler(), and XIOModule_Timer_Initialize().

UINTPTR XIOModule_Config::BaseVector

Relocatable base vector.

Referenced by XIOModule_Initialize(), and XIOModule_SetNormalIntrMode().

u32 XIOModule_Config::BaudRate

Current baud rate.

Referenced by XIOModule_SetBaudRate().

u16 XIOModule_Config::DeviceId

Unique ID of device.

Referenced by XIOModule_InterruptHandler().

u32 XIOModule_Config::FastIntr

Fast Interrupt enabled.

Referenced by XIOModule_ConnectFastHandler(), XIOModule_Initialize(), and XIOModule_SetNormalIntrMode().

u32 XIOModule_Config::GpoInit[XGPO_DEVICE_COUNT]

GPO initial value.

Referenced by XIOModule_Initialize().

XIOModule_VectorTableEntry XIOModule_Config::HandlerTable[XPAR_IOMODULE_INTC_MAX_INTR_SIZE]

Static vector table of interrupt handlers.

Referenced by XIOModule_Connect(), XIOModule_ConnectFastHandler(), XIOModule_Disconnect(), XIOModule_HandlerTable_Initialize(), XIOModule_RegisterHandler(), XIOModule_SetHandler(), and XIOModule_SetNormalIntrMode().

u32 XIOModule_Config::InputClockHz

Input clock frequency (Hz)

Referenced by XIOModule_SetBaudRate().

UINTPTR XIOModule_Config::IoBaseAddress

IO Bus Base Address.

Referenced by XIOModule_Initialize().

u32 XIOModule_Config::Options

Device options.

Referenced by XIOModule_GetOptions(), XIOModule_Initialize(), XIOModule_SetIntrSvcOption(), and XIOModule_SetOptions().

u32 XIOModule_Config::PitMask[XTC_DEVICE_TIMER_COUNT]

PIT timer counter size.

Referenced by XIOModule_IsExpired().

u8 XIOModule_Config::PitPrescaler[XTC_DEVICE_TIMER_COUNT]

PIT prescaler.

Referenced by IOModuleIntrExample(), and XIOModule_SelfTest().

u8 XIOModule_Config::PitReadable[XTC_DEVICE_TIMER_COUNT]

PIT readable.

Referenced by IOModuleIntrExample(), XIOModule_IsExpired(), and XIOModule_SelfTest().

u8 XIOModule_Config::PitSize[XTC_DEVICE_TIMER_COUNT]

PIT timer counter size.

Referenced by IOModuleIntrExample(), XIOModule_SelfTest(), and XIOModule_Timer_SelfTest().

u8 XIOModule_Config::PitUsed[XTC_DEVICE_TIMER_COUNT]

PIT is used.

Referenced by IOModuleIntrExample(), XIOModule_SelfTest(), and XIOModule_Timer_InterruptHandler().

u8 XIOModule_Config::VectorAddrWidth

Width of vector address.

Referenced by XIOModule_ConnectFastHandler(), XIOModule_Initialize(), and XIOModule_SetNormalIntrMode().